summaryrefslogtreecommitdiffstats
path: root/shell
diff options
context:
space:
mode:
authorefiacor <fiachra.corcoran@est.tech>2022-12-01 14:52:39 +0000
committerefiacor <fiachra.corcoran@est.tech>2022-12-05 11:04:42 +0000
commit0d19d3bfb1d47d3dcd5fe5a6db3a8445c5a1007c (patch)
tree82e79679154900d9c17f5536fdff25ad671b01a1 /shell
parentd2caae62864c6fa0a1c6d7518811464dd6124d69 (diff)
[HELM] Clean up and fix oom helm jobs
Change-Id: I44c198e86f09f06d4ccd6e8b89c111ee49ebee2c Signed-off-by: efiacor <fiachra.corcoran@est.tech> Issue-ID: OOM-3065
Diffstat (limited to 'shell')
-rw-r--r--shell/apply-submodule-patch-oom.sh18
-rwxr-xr-xshell/helm/helm-install.sh14
-rwxr-xr-xshell/helm/helm-repo-init.sh (renamed from shell/helm-repo-init.sh)1
-rwxr-xr-xshell/helm/make-helm-all.sh5
-rwxr-xr-xshell/helm/make-helm-skip-lint.sh5
-rw-r--r--shell/helm/oom-create-netrc.sh (renamed from shell/oom-create-netrc.sh)0
-rwxr-xr-xshell/helm/publish_helm_charts.sh (renamed from shell/publish_helm_charts.sh)10
7 files changed, 27 insertions, 26 deletions
diff --git a/shell/apply-submodule-patch-oom.sh b/shell/apply-submodule-patch-oom.sh
deleted file mode 100644
index ad818fb80..000000000
--- a/shell/apply-submodule-patch-oom.sh
+++ /dev/null
@@ -1,18 +0,0 @@
-#!/bin/bash
-# SPDX-License-Identifier: EPL-1.0
-##############################################################################
-# Copyright (c) 2019 The Linux Foundation and others.
-#
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Eclipse Public License v1.0
-# which accompanies this distribution, and is available at
-# http://www.eclipse.org/legal/epl-v10.html
-##############################################################################
-
-# Update kubernetes submodule under oom with patch to be verified
-
-echo '--> apply-submodule-patch-oom.sh'
-cd kubernetes/${HELM_MODULE}
-remote_path=`git remote -v | grep fetch | awk '{print $2}'`
-git fetch ${remote_path} $GERRIT_REFSPEC && git cherry-pick FETCH_HEAD
-cd ../..
diff --git a/shell/helm/helm-install.sh b/shell/helm/helm-install.sh
new file mode 100755
index 000000000..9fa247772
--- /dev/null
+++ b/shell/helm/helm-install.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+# Ensure we fail the job if any steps fail
+set -e -o pipefail
+
+echo "Installing helm ${HELM_VER}"
+mkdir /tmp/helm"${HELM_VER}"
+cd /tmp/helm"${HELM_VER}"
+wget "https://get.helm.sh/helm-v${HELM_VER}-linux-amd64.tar.gz"
+tar xvf helm-v"${HELM_VER}"-linux-amd64.tar.gz
+sudo mv linux-amd64/helm /usr/local/bin/helm"${HELM_VER}"
+which helm"${HELM_VER}"
+cd ~/
+echo "Completed install of helm ${HELM_VER}"
+
diff --git a/shell/helm-repo-init.sh b/shell/helm/helm-repo-init.sh
index 953abb802..f1ef7aaf3 100755
--- a/shell/helm-repo-init.sh
+++ b/shell/helm/helm-repo-init.sh
@@ -5,7 +5,6 @@ set -e -o pipefail
mkdir -p ".chartstorage"
chartmuseum --port=6464 --storage="local" --storage-local-rootdir=".chartstorage" &> /dev/null &
-source helm.prop
$HELM_BIN plugin install --version v0.10.3 https://github.com/chartmuseum/helm-push.git || true
$HELM_BIN repo add local http://localhost:6464
$HELM_BIN repo add onap http://localhost:6464
diff --git a/shell/helm/make-helm-all.sh b/shell/helm/make-helm-all.sh
new file mode 100755
index 000000000..862f422ac
--- /dev/null
+++ b/shell/helm/make-helm-all.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+# Ensure we fail the job if any steps fail
+set -e -o pipefail
+cd kubernetes/
+make HELM_BIN=$HELM_BIN all -j2
diff --git a/shell/helm/make-helm-skip-lint.sh b/shell/helm/make-helm-skip-lint.sh
new file mode 100755
index 000000000..0a64365d8
--- /dev/null
+++ b/shell/helm/make-helm-skip-lint.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+# Ensure we fail the job if any steps fail
+set -e -o pipefail
+cd kubernetes/
+make HELM_BIN=$HELM_BIN SKIP_LINT=TRUE all -j2
diff --git a/shell/oom-create-netrc.sh b/shell/helm/oom-create-netrc.sh
index 1b273b1cc..1b273b1cc 100644
--- a/shell/oom-create-netrc.sh
+++ b/shell/helm/oom-create-netrc.sh
diff --git a/shell/publish_helm_charts.sh b/shell/helm/publish_helm_charts.sh
index 4cc27fe2d..460174328 100755
--- a/shell/publish_helm_charts.sh
+++ b/shell/helm/publish_helm_charts.sh
@@ -1,7 +1,7 @@
#!/bin/bash
set -e -o pipefail
-echo "*** starting releace process for $BUILD_TYPE"
+echo "*** starting chart publish process for $BUILD_TYPE"
cd kubernetes/dist/packages/ || exit
helm_charts=()
while IFS= read -a line; do
@@ -16,19 +16,15 @@ for chart in "${helm_charts[@]}"; do
echo " * snapshot build, pushing to https://nexus3.onap.org/repository/onap-helm-testing/"
curl -vn --upload-file "$chart" "https://nexus3.onap.org/repository/onap-helm-testing/"
;;
- 'staging')
- echo " * staging build, pushing to https://nexus3.onap.org/repository/onap-helm-testing/"
- curl -vn --upload-file "$chart" "https://nexus3.onap.org/repository/onap-helm-testing/"
- ;;
'release')
echo " * release build, pushing to https://nexus3.onap.org/repository/onap-helm-release/"
curl -vn --upload-file "$chart" "https://nexus3.onap.org/repository/onap-helm-release/"
;;
*)
- echo "You must set BUILD_TYPE to one of (snapshot, staging, release)."
+ echo "You must set BUILD_TYPE to one of (snapshot, release)."
exit 1
;;
esac
done
-echo "*** release process finished"
+echo "*** chart publish process finished"
cd ../../../